KillApplicationRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: KillApplicationRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class KillApplicationRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest

@Public @Stable public abstract class KillApplicationRequest extends Object

The request sent by the client to the `ResourceManager` to abort a submitted application.

The request includes the `ApplicationId` of the application to be aborted.

See Also:
  - `ApplicationClientProtocol.forceKillApplication(KillApplicationRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KillApplicationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ApplicationId`
  `getApplicationId()`
  Get the `ApplicationId` of the application to be aborted.
  `abstract String`
  `getDiagnostics()`
  Get the diagnostics to which the application is being killed.
  `static KillApplicationRequest`
  `newInstance(ApplicationId applicationId)`
  `abstract void`
  `setApplicationId(ApplicationId applicationId)`
  `abstract void`
  `setDiagnostics(String diagnostics)`
  Set the diagnostics to which the application is being killed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KillApplicationRequest

    public KillApplicationRequest()

- ## Method Details

  - ### newInstance

    @Public @Stable public static KillApplicationRequest newInstance(ApplicationId applicationId)

  - ### getApplicationId

    @Public @Stable public abstract ApplicationId getApplicationId()
    Get the `ApplicationId` of the application to be aborted.
    Returns:
      `ApplicationId` of the application to be aborted

  - ### setApplicationId

    @Public @Stable public abstract void setApplicationId(ApplicationId applicationId)

  - ### getDiagnostics

    @Public @Unstable public abstract String getDiagnostics()
    Get the diagnostics to which the application is being killed.
    Returns:
      diagnostics to which the application is being killed

  - ### setDiagnostics

    @Public @Unstable public abstract void setDiagnostics(String diagnostics)
    Set the diagnostics to which the application is being killed.
    Parameters:
      `diagnostics` - diagnostics to which the application is being killed